Package Details: blender-2.8-bin 2.80.190609.030c7df19da9-1

Git Clone URL: https://aur.archlinux.org/blender-2.8-bin.git (read-only)
Package Base: blender-2.8-bin
Description: A fully integrated 3D graphics creation suite
Upstream URL: https://www.blender.org
Licenses: GPL
Conflicts: blender-2.8
Provides: blender-2.8
Submitter: adabru
Maintainer: adabru
Last Packager: adabru
Votes: 6
Popularity: 1.400077
First Submitted: 2018-12-10 23:10
Last Updated: 2019-06-10 16:08

Latest Comments

« First ‹ Previous 1 2 3

adabru commented on 2019-02-07 05:23

Hi @notfood, sorry I don't quite get what you mean. Does the package still not install for you? The lines you quoted are there so that a system update will also update blender-2.8-bin from time to time. Without them the package would only be updated on performing a cleanBuild install.

notfood commented on 2019-02-07 04:58

I don't understand what needs to be replaced. Last build won't download. What does this mean?

use different url per version to trigger rebuilds when package updates.
using $pkgver instead of $_inc is not possible (see comments on AUR-website)

adabru commented on 2019-02-06 23:36

@jimmy00784, @zfkerr, @fox-beta thanks for commenting and flagging. The reason was a change I made in the PKGBUILD that changes the source url but that didn't work out as I expected.

fox-beta commented on 2019-02-06 12:59

I received a similar error on my last update attempt, then tried again later and it worked fine.

Maybe, as adabru points out, an http-redirection is to blame - perhaps if your download attempt coincides with the Blender devs updating the files?

zfkerr commented on 2019-02-05 19:00

==> Validating source files with md5sums...
        download#2.80.190201.8a51af7d1c98 ... Skipped
==> Extracting sources...
==> Starting pkgver()...
==> Updated version: blender-2.8-bin 2.80.190205.08ab09cf04d9-1
==> Starting build()...
cat: download#2.80.190205.08ab09cf04d9: No such file or directory
==> ERROR: A failure occurred in build().
    Aborting...

@adabru

adabru commented on 2019-01-03 12:56

@kode54 yeah I also observed that downloading the page failed with 404 when trying to rebuild the package with a non-empty src directory. I didn't find out what the reason was, maybe some http-redirection or alike? But at the moment rebuilding seems to work.

kode54 commented on 2019-01-01 22:11

The source file is already 404, the download page now lists this as the 64 bit download:

https://builder.blender.org/download/blender-2.80-4d795cee4938-linux-glibc224-x86_64.tar.bz2

E: I just realized it's scraping the incorrect link from the official download page. I guess the official download page is now broken, hah.

E2: I see. The official download page is still serving links to the 20181218 build, which is now 404.

E3: Oh, ugh. I see the PKGBUILD fails to grab the latest download page if the source directory isn't completely cleaned out before attempting to build it again.

adabru commented on 2019-01-01 18:55

@crispinh and @fraunos thank you very much for commenting. I have no automated package-build setup, so I don't get notified of package-failures other than the comments here. @fraunos fix is now applied and package installation shouldn't fail anymore.

fraunos commented on 2019-01-01 11:10

@crispinh I removed from PKGBUILD the line (43rd line exactly) that removes this file and it worked.

crispinh commented on 2019-01-01 05:00

I'm getting rm: cannot remove 'icons/blender_icon_source.svg': No such file or directory when trying to build it - clean build through yay and if I delete the folder itself & try again with yay